Description

Currently only locally stored annotations are loaded (at startup when the Annotation Plugin is initialized).

For a large local corpus of EML data packages that all have annotations, this could get costly. Moreover, loading all remote
annotations would be a nightmare if we did it at start up (worst case scenario).

| think the best approach for remote files will be to search for and load their annotations when they themselves are opened.
We want to continue to load local annotations (until we run into a memory limit and have to solve that problem) so that we can
continue to support the current annotation-based searching.

So back to the topic of this bug:

Related issues:
Blocks Semtools - Bug #4768: Ul for managing annotation ontologies Resolved 02/06/2010

History

#1 - 02/09/2010 01:54 PM - ben leinfelder

adding dependency on the Ul bug so | can close that but still have a link.
My hunch is that we'll want to manage local (as seen in 4768) along with remote ontologies on the same screen

#2 - 05/20/2010 02:58 PM - ben leinfelder

Remote (Metacat-stored) annotations are now being loaded in the local (Morpho) AnnotationManager when the EML packages are opened from the
remote location. They are both cached behind the scenes, but appear to be "network" resources when saving.

This works fine for viewing and editing annotations and for sharing your annotated datapackages with others, but it does not address
annotation-based searching for remote annotations. | think that still needs to be a Metacat feature that Morpho can call rather than something the
local Morpho annotation manager loads at startup (costly).

#3 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4770

#4 - 11/26/2013 08:50 AM - ben leinfelder

- Target version changed from Unspecified to morpho-plugin-0.9.0
